import * as _formily_core from '@formily/core';
import { FormProps } from '@formily/antd/esm/form';
import React from 'react';
import { ISchema } from '@formily/json-schema/esm/index';

interface FormilyItemComponents extends Record<string, React.FC | React.Component | any> {
}
declare function registerComponent(key: string, component: React.FC | React.Component | any): void;
declare function getFormComponents(): FormilyItemComponents;
interface FormilyProviderProps {
    children: React.ReactNode;
    components: FormilyItemComponents;
}
declare const FormilyProvider: (props: FormilyProviderProps) => JSX.Element;
interface BaseFormProps extends Omit<FormProps, 'children' | 'form'> {
    schema?: ISchema;
    formProps?: Omit<FormProps, 'children' | 'form'>;
    children?: React.ReactNode;
    onSubmit?: any;
    components?: FormilyItemComponents;
}
interface useJsonFormProps {
    components?: FormilyItemComponents;
}
declare const useJsonForm: (opt?: useJsonFormProps | undefined) => {
    form: _formily_core.Form<any>;
    JsonForm: (props: BaseFormProps) => JSX.Element;
};

export { FormilyProvider, getFormComponents, registerComponent, useJsonForm };
